import BlockchainSession from "../core/blockchain/blockchain-session";
import Transaction from "../core/transaction";
import AuthDescriptorRule from "./auth-descriptor/auth-descriptor-rule";
import Operation from "../core/operation";
declare type PubKey = Buffer;
interface GtvSerializable {
    toGTV(): any[];
}
interface AuthDescriptor extends GtvSerializable {
    id: Buffer;
    signers: PubKey[];
    rule: AuthDescriptorRule | null;
    hash(): Buffer;
}
export default class AccountTransactions {
    readonly id: Buffer;
    readonly session: BlockchainSession;
    constructor(id: Buffer, session: BlockchainSession);
    addAuthDescriptor(authDescriptor: AuthDescriptor): Transaction;
    deleteAllAuthDescriptorsExclude(authDescriptor: AuthDescriptor): Transaction;
    deleteAuthDescriptor(authDescriptor: AuthDescriptor): Transaction;
    transferInputsToOutputs(inputs: Array<GtvSerializable>, outputs: Array<GtvSerializable>): Transaction;
    xcTransfer(destinationChainId: Buffer, destinationAccountId: Buffer, assetId: Buffer, amount: number): Transaction;
    xcTransferOp(destinationChainId: Buffer, destinationAccountId: Buffer, assetId: Buffer, amount: number): Operation;
}
export {};
