import PaymentHistoryStore from "./payment-history-store";
import Blockchain from "../../core/blockchain/blockchain";
export default class PaymentHistorySyncManager {
    readonly paymentHistoryStore: PaymentHistoryStore;
    static set defaultPaymentHistoryStore(store: PaymentHistoryStore);
    static get defaultPaymentHistoryStore(): PaymentHistoryStore;
    static deleteAccountPaymentHistory(accountId: Buffer): void;
    deleteAccountPaymentHistory(accountId: Buffer): void;
    syncAccount(id: Buffer, blockchain: Blockchain): Promise<void>;
    private mapShortEntriesToLongEntries;
    private groupShortEntriesByTransactionRID;
    private paymentHistoryEntriesFrom;
    private matchPaymentHistoryEntryAndPaymentParam;
    private getPaymentHistoryEntry;
    private getHighestBlock;
    private getPaymentsForChainAndAccountFromRawTransaction;
}
